Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# ACE_RMCast::Out_Element Struct Reference

`#include <Stack.h>`

Inheritance diagram for ACE_RMCast::Out_Element:

[legend]
Collaboration diagram for ACE_RMCast::Out_Element:

[legend]
List of all members.

## Public Member Functions
virtual | ~Out_Element ()
| Out_Element ()
virtual void | out_stop ()
virtual void | out_start (Out_Element *out)
virtual void | send (Message_ptr m)
## Protected Attributes
Out_Element * | out_

## Constructor & Destructor Documentation

ACE_RMCast::Out_Element::~Out_Element | ( |  | ) | `[virtual]`

ACE_RMCast::Out_Element::Out_Element | ( |  | ) |

## Member Function Documentation

void ACE_RMCast::Out_Element::out_start | ( | Out_Element * | out | ) | `[virtual]`

| Reimplemented in ACE_RMCast::Acknowledge, ACE_RMCast::Link, and ACE_RMCast::Retransmit.

void ACE_RMCast::Out_Element::out_stop | ( |  | ) | `[virtual]`

| Reimplemented in ACE_RMCast::Acknowledge, and ACE_RMCast::Retransmit.

void ACE_RMCast::Out_Element::send | ( | Message_ptr | m | ) | `[virtual]`

| Reimplemented in ACE_RMCast::Acknowledge, ACE_RMCast::Flow, ACE_RMCast::Fragment, ACE_RMCast::Link, ACE_RMCast::Retransmit, and ACE_RMCast::Simulator.

## Member Data Documentation

Out_Element* ACE_RMCast::Out_Element::out_`[protected]`

The documentation for this struct was generated from the following files:

- Stack.h
- Stack.cpp